Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | Related Functions | List of all members
ranges::actions::remove_fn Struct Reference

## Public Member Functions
template<typename Rng , typename V , typename P = identity> requires forward_range<Rng> && permutable<iterator_t<Rng>> && erasable_range<Rng, iterator_t<Rng>, sentinel_t<Rng>> && indirect_relation<equal_to, projected<iterator_t<Rng>, P>, V const *>
Rng | operator() (Rng &&rng, V const &value, P proj={}) const
template<typename V >
constexpr auto | operator() (V &&value) const
template<typename V , typename P > requires (!range<V>)
constexpr auto | operator() (V &&value, P proj) const

## Related Functions
(Note that these are not member functions.)
constexpr remove_fn | remove {}